poll_scroll(3)

NAME
poll_scroll - Checks the status of a scroll request with triple buffering. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int poll_scroll();

DESCRIPTION
This function is used for triple buffering. It checks the status of a hardware scroll previously initiated by the request_scroll() routine.

RETURN VALUE
Returns non-zero if it is still waiting to take place, and zero if the requested scroll has already happened.

SEE ALSO
request_scroll(3), request_video_bitmap(3), ex3buf(3), exupdate(3)